unit Combs;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, PDJ_Basic, PDJ_CoCLb, ExtCtrls, PDJ_Lab, PDJ_GrBx, PDJ_RdGr,
  PDJ_ChBtn, PDJ_ChBx, PDJ_SpEd, Buttons, PDJ_IBBx, PDJ_IBLx, PDJ_PrCb,
  PDJ_FoSiClb;

type
  TForm4 = class(TForm)
    PDJGroupBox1: TPDJGroupBox;
    SpeedButton10: TSpeedButton;
    PDJImageBox1: TPDJImageBox;
    PDJCheckBox2: TPDJCheckBox;
    PDJImageList1: TPDJImageList;
    PDJGroupBox2: TPDJGroupBox;
    PDJGroupBox3: TPDJGroupBox;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    SpeedButton13: TSpeedButton;
    PDJBandBox1: TPDJBandBox;
    PDJSpinEdit2: TPDJSpinEdit;
    PDJLabel2: TPDJLabel;
    PDJCheckBox3: TPDJCheckBox;
    PDJLabel6: TPDJLabel;
    PDJSpinEdit3: TPDJSpinEdit;
    PDJGroupBox5: TPDJGroupBox;
    PDJColorComboBox1: TPDJColorComboBox;
    PDJRadioGroup1: TPDJRadioGroup;
    Panel1: TPanel;
    PDJLabel3: TPDJLabel;
    PDJColorComboBox2: TPDJColorComboBox;
    PDJLabel4: TPDJLabel;
    PDJSpinEdit1: TPDJSpinEdit;
    PDJCheckBox1: TPDJCheckBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    PDJColorComboBox5: TPDJColorComboBox;
    SpeedButton6: TSpeedButton;
    PDJColorComboBox4: TPDJColorComboBox;
    PDJColorComboBox3: TPDJColorComboBox;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    OpenDialog1: TOpenDialog;
    PDJGroupBox4: TPDJGroupBox;
    SpeedButton14: TSpeedButton;
    SpeedButton15: TSpeedButton;
    SpeedButton16: TSpeedButton;
    SpeedButton17: TSpeedButton;
    SpeedButton18: TSpeedButton;
    SpeedButton19: TSpeedButton;
    PDJBandBox2: TPDJBandBox;
    SpeedButton20: TSpeedButton;
    PDJBandBox3: TPDJBandBox;
    SpeedButton21: TSpeedButton;
    PDJColorComboBox6: TPDJColorComboBox;
    PDJLabel1: TPDJLabel;
    PDJGroupBox6: TPDJGroupBox;
    PDJPrinterComboBox1: TPDJPrinterComboBox;
    PDJCheckBox4: TPDJCheckBox;
    PDJCheckBox5: TPDJCheckBox;
    PDJGroupBox7: TPDJGroupBox;
    PDJFontComboBox1: TPDJFontComboBox;
    PDJFontSizeBox1: TPDJFontSizeBox;
    Panel2: TPanel;
    PDJComboBox1: TPDJComboBox;
    PDJCheckBox6: TPDJCheckBox;
    PDJLabel5: TPDJLabel;
    PDJCheckBox7: TPDJCheckBox;
    procedure PDJColorComboBox1Change(Sender: TObject);
    procedure PDJRadioGroup1Click(Sender: TObject);
    procedure PDJColorComboBox2Change(Sender: TObject);
    procedure PDJCheckBox1Click(Sender: TObject);
    procedure PDJSpinEdit1Change(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure PDJCheckBox2Click(Sender: TObject);
    procedure SpeedButton10Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure SpeedButton8Click(Sender: TObject);
    procedure SpeedButton9Click(Sender: TObject);
    procedure SpeedButton11Click(Sender: TObject);
    procedure SpeedButton13Click(Sender: TObject);
    procedure SpeedButton12Click(Sender: TObject);
    procedure PDJSpinEdit2Change(Sender: TObject);
    procedure PDJCheckBox3Click(Sender: TObject);
    procedure PDJSpinEdit3Change(Sender: TObject);
    procedure SpeedButton14Click(Sender: TObject);
    procedure SpeedButton15Click(Sender: TObject);
    procedure SpeedButton16Click(Sender: TObject);
    procedure SpeedButton17Click(Sender: TObject);
    procedure SpeedButton19Click(Sender: TObject);
    procedure SpeedButton18Click(Sender: TObject);
    procedure SpeedButton20Click(Sender: TObject);
    procedure SpeedButton21Click(Sender: TObject);
    procedure PDJColorComboBox6Change(Sender: TObject);
    procedure PDJCheckBox4Click(Sender: TObject);
    procedure PDJPrinterComboBox1Click(Sender: TObject);
    procedure PDJFontComboBox1Change(Sender: TObject);
    procedure PDJFontSizeBox1Change(Sender: TObject);
    procedure PDJComboBox1Change(Sender: TObject);
    procedure PDJCheckBox6Click(Sender: TObject);
    procedure PDJCheckBox7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses DemoUnit;

{$R *.DFM}

procedure TForm4.PDJColorComboBox1Change(Sender: TObject);
begin
Panel1.Color:=PDJColorComboBox1.ColorSelected;
end;

procedure TForm4.PDJRadioGroup1Click(Sender: TObject);
begin
Case PDJRadioGroup1.ItemIndex of
0:PDJColorComboBox1.BoxStyle:=bxBox;
1:PDJColorComboBox1.BoxStyle:=bxCircle;
end;
end;

procedure TForm4.PDJColorComboBox2Change(Sender: TObject);
begin
PDJColorComboBox1.BoxFrame:=PDJColorComboBox2.ColorSelected;
end;

procedure TForm4.PDJCheckBox1Click(Sender: TObject);
begin
if  PDJCheckBox1.Checked then
PDJColorComboBox1.ShowNames:=True else
PDJColorComboBox1.ShowNames:=False
end;

procedure TForm4.PDJSpinEdit1Change(Sender: TObject);
begin
PDJColorComboBox1.BoxWidth:=PDJSpinEdit1.Value;
end;

procedure TForm4.SpeedButton6Click(Sender: TObject);
begin
if OpenDialog1.execute then
PDJColorComboBox5.LoadColorPalette(OpenDialog1.FileName);
end;

procedure TForm4.SpeedButton1Click(Sender: TObject);
begin
PDJColorComboBox3.AddCCItem('ColorXX',clRed,itnormal);
end;

procedure TForm4.SpeedButton2Click(Sender: TObject);
begin
PDJColorComboBox3.InsertCCItem(0,'Blue',clBlue,itCustom);
end;

procedure TForm4.SpeedButton3Click(Sender: TObject);
begin
PDJColorComboBox3.DeleteCCItem(0);
end;

procedure TForm4.SpeedButton4Click(Sender: TObject);
begin
PDJColorComboBox1.CopyCCItems(0,PDJColorComboBox1.CCItems.Count-1,PDJColorComboBox3.CCItems);
end;

procedure TForm4.SpeedButton5Click(Sender: TObject);
begin
PDJColorComboBox4.AssignCCItems(PDJColorComboBox3.CCItems);
end;

procedure TForm4.PDJCheckBox2Click(Sender: TObject);
begin
if PDJCheckBox2.Checked then
PDJImageBox1.HotOverlay:=True else
PDJImageBox1.HotOverlay:=False
end;

procedure TForm4.SpeedButton10Click(Sender: TObject);
var I:integer;
begin
for I:=0 to PDJImageBox1.IBItems.Count-1 do
PDJImageList1.AddILItem(
PDJImageBox1.IBItems.Items[i].Caption,
PDJImageBox1.IBItems.Items[i].HotImageIndex,
PDJImageBox1.IBItems.Items[i].ImageIndex,
PDJImageBox1.IBItems.Items[i].Left);

end;

procedure TForm4.SpeedButton7Click(Sender: TObject);
begin
PDJImageBox1.AddIBItem('ItemXX',2,0,0);
end;

procedure TForm4.SpeedButton8Click(Sender: TObject);
begin
PDJImageBox1.InsertIBItem(2,'Bla,Bla,Bla',4,12,15);
end;

procedure TForm4.SpeedButton9Click(Sender: TObject);
begin
PDJImageBox1.DeleteIBItem(3);
end;

procedure TForm4.SpeedButton11Click(Sender: TObject);
begin
PDJImageBox1.MoveIBItem(2,3)
end;

procedure TForm4.SpeedButton13Click(Sender: TObject);
begin
PDJImageBox1.ModifyIBItem(2,'ChangeIBItem',3,12,25)
end;

procedure TForm4.SpeedButton12Click(Sender: TObject);
begin
PDJImageBox1.ClearIBItems
end;

procedure TForm4.PDJSpinEdit2Change(Sender: TObject);
begin
PDJImageBox1.IBItemIndex:=PDJSpinEdit2.Value;
end;

procedure TForm4.PDJCheckBox3Click(Sender: TObject);
begin
if PDJCheckBox3.Checked then
PDJBandBox1.HotOverlay:=True else
PDJBandBox1.HotOverlay:=False
end;

procedure TForm4.PDJSpinEdit3Change(Sender: TObject);
begin
PDJBandBox1.BBItemIndex:=PDJSpinEdit3.Value;
end;

procedure TForm4.SpeedButton14Click(Sender: TObject);
begin
PDJBandBox1.AddBBItem('BBItemXX',3,9)
end;

procedure TForm4.SpeedButton15Click(Sender: TObject);
begin
PDJBandBox1.InsertBBItem(1,'TRRRRR',2,4)
end;

procedure TForm4.SpeedButton16Click(Sender: TObject);
begin
PDJBandBox1.DeleteBBItem(1)
end;

procedure TForm4.SpeedButton17Click(Sender: TObject);
begin
PDJBandBox1.MoveBBItem(1,3)
end;

procedure TForm4.SpeedButton19Click(Sender: TObject);
begin
PDJBandBox1.ModifyBBItem(2,'SESESESE',2,4)
end;

procedure TForm4.SpeedButton18Click(Sender: TObject);
begin
PDJBandBox1.ClearBBItems
end;

procedure TForm4.SpeedButton20Click(Sender: TObject);
begin
PDJBandBox2.AssignBBItems(PDJBandBox1.BBItems);
end;

procedure TForm4.SpeedButton21Click(Sender: TObject);
begin
PDJBandBox1.CopyBBItems(0,2,PDJBandBox3.BBItems)
end;

procedure TForm4.PDJColorComboBox6Change(Sender: TObject);
begin
PDJBandBox1.ColorBand:=PDJColorComboBox6.ColorSelected
end;

procedure TForm4.PDJCheckBox4Click(Sender: TObject);
begin
if PDJCheckBox4.Checked then
PDJPrinterComboBox1.ShowDefaultMark:=True else
PDJPrinterComboBox1.ShowDefaultMark:=False
end;

procedure TForm4.PDJPrinterComboBox1Click(Sender: TObject);
begin
if PDJCheckBox5.Checked then
PDJPrinterComboBox1.ChangeDefaultPrinter(PDJPrinterComboBox1.ItemIndex);
end;

procedure TForm4.PDJFontComboBox1Change(Sender: TObject);
begin
Panel2.Font.Name:=PDJFontComboBox1.FontName;
end;

procedure TForm4.PDJFontSizeBox1Change(Sender: TObject);
begin
Panel2.Font.Size:=PDJFontSizeBox1.FontSize
end;

procedure TForm4.PDJComboBox1Change(Sender: TObject);
begin
Case PDJComboBox1.ItemIndex of
0:PDJFontComboBox1.ShowFonts:=sfAll;
1:PDJFontComboBox1.ShowFonts:=sfTrueTypeOnly;
2:PDJFontComboBox1.ShowFonts:=sfTrueTypeandPrinter;
end;
end;

procedure TForm4.PDJCheckBox6Click(Sender: TObject);
begin
if PDJCheckBox6.checked then
PDJFontComboBox1.ShowPreviewForm:=True else
PDJFontComboBox1.ShowPreviewForm:=False
end;

procedure TForm4.PDJCheckBox7Click(Sender: TObject);
begin
if PDJCheckBox7.checked then
PDJFontComboBox1.UseItemFont:=True else
PDJFontComboBox1.UseItemFont:=False
end;

end.
