unit Edits;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, PDJ_ChBtn, PDJ_SpEd, PDJ_MaEd, PDJ_EdBs, StdCtrls, PDJ_GrBx,
  PDJ_RdGr, PDJ_Basic, PDJ_ChBx, PDJ_Lab, ExtCtrls, PDJ_EdMb, Buttons,
  PDJ_BrwFol, PDJ_EdChLb;

type
  TForm3 = class(TForm)
    PDJCheckBox1: TPDJCheckBox;
    PDJEditB1: TPDJEditB;
    PopupMenu1: TPopupMenu;
    form11: TMenuItem;
    form21: TMenuItem;
    form31: TMenuItem;
    N1: TMenuItem;
    form41: TMenuItem;
    PDJRadioGroup1: TPDJRadioGroup;
    PDJMaskEditB1: TPDJMaskEditB;
    Bevel1: TBevel;
    PDJLabel1: TPDJLabel;
    PDJLabel2: TPDJLabel;
    PDJSpinEdit1: TPDJSpinEdit;
    PDJSpinFloatEdit1: TPDJSpinFloatEdit;
    PDJLabel3: TPDJLabel;
    PDJCheckButton1: TPDJCheckButton;
    PDJCheckButton2: TPDJCheckButton;
    PDJCheckButton3: TPDJCheckButton;
    PDJRadioGroup2: TPDJRadioGroup;
    PDJSpinEdit2: TPDJSpinEdit;
    PDJSpinEdit3: TPDJSpinEdit;
    PDJSpinEdit4: TPDJSpinEdit;
    PDJSpinEdit7: TPDJSpinEdit;
    PDJSpinFloatEdit2: TPDJSpinFloatEdit;
    PDJLabel4: TPDJLabel;
    PDJLabel5: TPDJLabel;
    PDJLabel6: TPDJLabel;
    PDJSpinEdit8: TPDJSpinEdit;
    PDJLabel7: TPDJLabel;
    PDJLabel8: TPDJLabel;
    Bevel2: TBevel;
    PDJLabel9: TPDJLabel;
    PDJEditMultiB1: TPDJEditMultiB;
    PDJSpinFloatEdit3: TPDJSpinFloatEdit;
    PDJSpinFloatEdit4: TPDJSpinFloatEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Bevel3: TBevel;
    PDJLabel10: TPDJLabel;
    PDJFolderEdit1: TPDJFolderEdit;
    SpeedButton4: TSpeedButton;
    Bevel4: TBevel;
    PDJLabel11: TPDJLabel;
    PDJEditCheckList1: TPDJEditCheckList;
    SpeedButton5: TSpeedButton;
    PDJEdit1: TPDJEdit;
    PDJLabel12: TPDJLabel;
    PDJCheckBox2: TPDJCheckBox;
    PDJComboBox1: TPDJComboBox;
    PDJLabel13: TPDJLabel;
    procedure PDJCheckBox1Click(Sender: TObject);
    procedure PDJRadioGroup1Click(Sender: TObject);
    procedure PDJCheckButton1Click(Sender: TObject);
    procedure PDJCheckButton2Click(Sender: TObject);
    procedure PDJCheckButton3Click(Sender: TObject);
    procedure PDJRadioGroup2Click(Sender: TObject);
    procedure PDJSpinEdit2Change(Sender: TObject);
    procedure PDJSpinEdit3Change(Sender: TObject);
    procedure PDJSpinEdit4Change(Sender: TObject);
    procedure PDJSpinFloatEdit2Change(Sender: TObject);
    procedure PDJSpinEdit7Change(Sender: TObject);
    procedure PDJSpinEdit8Change(Sender: TObject);
    procedure PDJEditMultiB1EMButtons2Click(Sender: TObject);
    procedure PDJSpinFloatEdit3Change(Sender: TObject);
    procedure PDJSpinFloatEdit4Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure PDJCheckBox2Click(Sender: TObject);
    procedure PDJEdit1Change(Sender: TObject);
    procedure PDJComboBox1Change(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.DFM}

procedure TForm3.PDJCheckBox1Click(Sender: TObject);
begin
if PDJCheckBox1.checked then
pdjeditb1.btndropdownmenu:=popupmenu1 else
pdjeditb1.btndropdownmenu:=nil;
pdjmaskeditb1.btndropdownmenu:=pdjeditb1.btndropdownmenu;
end;

procedure TForm3.PDJRadioGroup1Click(Sender: TObject);
begin
Case PDJRadioGroup1.ItemIndex of
0:pdjeditb1.BtnPosDropDownMenu:=dmDown;
1:pdjeditb1.BtnPosDropDownMenu:=dmRight;
2:pdjeditb1.BtnPosDropDownMenu:=dmLeft;
end;
pdjmaskeditb1.BtnPosDropDownMenu:=pdjeditb1.BtnPosDropDownMenu
end;

procedure TForm3.PDJCheckButton1Click(Sender: TObject);
begin
if PDJCheckButton1.Checked then begin
    PDJSpinEdit1.Alignment:=taLeftJustify;
    PDJSpinFloatEdit1.Alignment:=taLeftJustify;
end;
end;

procedure TForm3.PDJCheckButton2Click(Sender: TObject);
begin
if PDJCheckButton2.Checked then begin
    PDJSpinEdit1.Alignment:=taRightJustify;
    PDJSpinFloatEdit1.Alignment:=taRightJustify;
end;
end;

procedure TForm3.PDJCheckButton3Click(Sender: TObject);
begin
if PDJCheckButton3.Checked then begin
    PDJSpinEdit1.Alignment:=taCenter;
    PDJSpinFloatEdit1.Alignment:=taCenter;
end;
end;

procedure TForm3.PDJRadioGroup2Click(Sender: TObject);
begin
Case PDJRadioGroup2.ItemIndex of
0:PDJSpinFloatEdit1.FloatFormat:=ffGeneral;
1:PDJSpinFloatEdit1.FloatFormat:=ffExponent;
2:PDJSpinFloatEdit1.FloatFormat:=ffFixed;
3:PDJSpinFloatEdit1.FloatFormat:=ffNumber;
4:PDJSpinFloatEdit1.FloatFormat:=ffCurrency;
end;
end;

procedure TForm3.PDJSpinEdit2Change(Sender: TObject);
begin
PDJSpinEdit1.MinValue:=PDJSpinEdit2.Value;
end;

procedure TForm3.PDJSpinEdit3Change(Sender: TObject);
begin
PDJSpinEdit1.MaxValue:=PDJSpinEdit3.Value;
end;

procedure TForm3.PDJSpinEdit4Change(Sender: TObject);
begin
PDJSpinEdit1.Increment:=PDJSpinEdit4.Value;
end;

procedure TForm3.PDJSpinFloatEdit2Change(Sender: TObject);
begin
PDJSpinFloatEdit1.Increment:=PDJSpinFloatEdit2.Value;
end;

procedure TForm3.PDJSpinEdit7Change(Sender: TObject);
begin
PDJSpinFloatEdit1.Digits:=PDJSpinEdit7.Value;
end;

procedure TForm3.PDJSpinEdit8Change(Sender: TObject);
begin
PDJSpinFloatEdit1.Precision:=PDJSpinEdit8.Value;
end;

procedure TForm3.PDJEditMultiB1EMButtons2Click(Sender: TObject);
begin
SHowMessage('My name is EMButton[2]...');
end;

procedure TForm3.PDJSpinFloatEdit3Change(Sender: TObject);
begin
PDJSpinFloatEdit1.MinValue:=PDJSpinFloatEdit3.Value;
end;

procedure TForm3.PDJSpinFloatEdit4Change(Sender: TObject);
begin
PDJSpinFloatEdit1.MaxValue:=PDJSpinFloatEdit4.Value;
end;

procedure TForm3.SpeedButton1Click(Sender: TObject);
var NewButton:TEMButton;
begin
with PDJEditMultiB1 do begin
NewButton:=EMButtons.Add;
NewButton.Caption:='?';
end;
end;

procedure TForm3.SpeedButton2Click(Sender: TObject);
begin
PDJEditMultiB1.EMButtons.Delete(1);
end;

procedure TForm3.SpeedButton3Click(Sender: TObject);
var NewButton:TEMButton;
begin
with PDJEditMultiB1 do begin
NewButton:=EMButtons.Insert(1);
NewButton.Caption:='*';
end;
end;

procedure TForm3.SpeedButton4Click(Sender: TObject);
var DIR:string;
begin
DIR:=ExtractFilePath(Application.ExeName);
PDJFolderEdit1.Text:=Copy(DIR,1,Length(DIR)-1);
end;

procedure TForm3.PDJCheckBox2Click(Sender: TObject);
begin
if PDJCheckBox2.checked then
PDJEditCheckList1.TextInBracket:=True else
PDJEditCheckList1.TextInBracket:=False
end;

procedure TForm3.PDJEdit1Change(Sender: TObject);
begin
PDJEditCheckList1.TextDelimiter:=PDJEdit1.Text
end;

procedure TForm3.PDJComboBox1Change(Sender: TObject);
begin
Case PDJComboBox1.ItemIndex of
0:PDJEditCheckList1.ButtonStyle:=bsArrow;
1:PDJEditCheckList1.ButtonStyle:=bsEllipsis;
2:PDJEditCheckList1.ButtonStyle:=bsGlyph;
end;
end;

procedure TForm3.SpeedButton5Click(Sender: TObject);
begin
PDJEditCheckList1.Items.Delete(1);
PDJEditCheckList1.DoChecked;
end;

end.
